Package picard.illumina

# Class LanePhasingMetricsCollector

java.lang.Object
picard.illumina.LanePhasingMetricsCollector

public class LanePhasingMetricsCollector extends Object
Helper class used to transform tile data for a lane into a collection of IlluminaPhasingMetrics

## Constructor Summary

Constructors
Constructor
Description
`LanePhasingMetricsCollector(Collection<Tile> laneTiles, boolean usePercentage)`
Constructor takes a lane's collection of Tiles and calculates the median phasing/prephasing for the first and second (if available) reads

## Method Summary

Modifier and Type
Method
Description
`Map<TileTemplateRead,Float>`
`getMedianPhasingMap()`
`Map<TileTemplateRead,Float>`
`getMedianPrePhasingMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LanePhasingMetricsCollector

public LanePhasingMetricsCollector(Collection<Tile> laneTiles, boolean usePercentage)
Constructor takes a lane's collection of Tiles and calculates the median phasing/prephasing for the first and second (if available) reads

## Method Details

### getMedianPhasingMap

public Map<TileTemplateRead,Float> getMedianPhasingMap()

### getMedianPrePhasingMap

public Map<TileTemplateRead,Float> getMedianPrePhasingMap()